Name:		softflowd
Summary:	Network traffic analyser capable of Cisco NetFlow data export
Version:	0.9.9
Release:	11.1
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.sysconfig
Source2:	%{name}.init
Patch0:		%{name}-chroot.patch
Patch1:		%{name}-rh-init_sysconfig.patch
Group:		System/Utilities
License:	BSD
BuildRoot:	%{_tmppath}/%{name}-build
#URL:		http://www.mindrot.org/softflowd.html
URL:		http://code.google.com/p/softflowd/

%if 0%{?suse_version} >= 1030 || 0%{?centos_version} >= 5 || 0%{?rhel_version} >= 500 || 0%{?fedora_version} >= 6 || 0%{?sl_version} >= 5
BuildRequires:	libpcap-devel
%else
BuildRequires:	libpcap
%endif


%description
softflowd is a software implementation of a flow-based network traffic
monitor.  softflowd reads network traffic and gathers information about
active traffic flows.  A "traffic flow" is communication between two IP
addresses or (if the overlying protocol is TCP or UDP) address/port tuples.
The intended use of softflowd is as a software implementation of Cisco’s
NetFlow traffic account system.  softflowd supports data export using
versions 1, 5 or 9 of the NetFlow protocol.

%prep
%setup
%patch0
%patch1

%build
%configure --with-chrootdir=/var/lib/softflowd

%__make

%install
%__make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}/var/lib/softflowd
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version} || 0%{?sl_version}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp softflowd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/softflowd
cp %_sourcedir/softflowd.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/softflowd
%endif

%if 0%{?suse_version} || 0%{?sles_version}
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
cp %{S:1} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.%{name}
cp %{S:2} $RPM_BUILD_ROOT/etc/init.d/%{name}
%endif

%post
%if 0%{?suse_version}
%{fillup_and_insserv softflowd}
%{fillup_only -an softflowd}
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal softflowd
%endif

%postun
%if 0%{?suse_version}
%insserv_cleanup
%endif

%files
%defattr(-,root,root)
%doc README TODO
%{_sbindir}/softflowd
%{_sbindir}/softflowctl
%{_mandir}/man8/softflowd.8*
%{_mandir}/man8/softflowctl.8*
%dir /var/lib/softflowd

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version} || 0%{?sl_version}
%attr(0755,root,root) /etc/rc.d/init.d/softflowd
%config(noreplace) %attr(0644,root,root) /etc/sysconfig/softflowd
%endif

%if 0%{?suse_version} || 0%{?sles_version}
%attr(0755,root,root) /etc/init.d/softflowd
/var/adm/fillup-templates/sysconfig.%{name}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Dec 15 2012 cs@linux-administrator.com
- added softflowd-rh-init_sysconfig.patch
* Thu Dec 13 2012 cs@linux-administrator.com
- update to release 0.9.9
